proc sgplot data=orion.orders;
   vbar region / response=orders group=supplier;
title 'Orders By Region/Supplier';
run;

proc sgplot data=orion.employees;
   where company=:'Orion';
   vbar company / group=department;
title 'Employees By Country/Department';
run;

** An example of groupdisplay=cluster that shows why stacked (default) is better;
proc sgplot data=orion.employees;
   where company=:'Orion';
   vbar company / group=department groupdisplay=cluster;
title 'Employees By Country/Department';
run;

