﻿options nobyline;

** Run the LIBNAME program to make the icecream data;

title '1) Before graph for BY group  #byval(grp)'; 
proc sgplot data=icecream dattrmap=attrmap noautolegend;
  by grp;
  vbar flavor / response=rank group=flavor 
                dataskin=pressed;
run;
 
data attrmap;
  length value fillcolor linecolor $10;
  infile datalines dlm=',';
  input value $ fillcolor $;
  id='barcolors';
  linecolor=fillcolor;
datalines;
Strawberry,pink
Chocolate,CX7B3F00
Vanilla,beige
;
run;
  
title "2) Ice Cream Survey for Group #byval(grp)";
proc sgplot data=icecream dattrmap=attrmap noautolegend;
  by grp;
  vbar flavor / response=rank group=flavor 
                dataskin=pressed attrid=barcolors;
run;

proc print data=attrmap;
  title 'AttrMap Table';
run;
title;
